Loading...
Searching...
No Matches
ElasticSearchDataProvider::ElasticSearchDataProviderBase Class Reference

The AWS REST client base data provider class. More...

`#include <ElasticSearchDataProviderBase.qc.dox.h>`

Inheritance diagram for ElasticSearchDataProvider::ElasticSearchDataProviderBase:
[legend]

## Public Member Functions

| constructor ()
| Creates the object.
| constructor (RestClient rest)
| Creates the object from a REST connection.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Detailed Description

The AWS REST client base data provider class.